@use "sass:map";
@import 'styles/pages/_theme';

.header__top {
    background: #f5f5f5 ;
}

.header__top_left {
    ul {
        display: flex;
        align-items: center;
        list-style: none;
        padding: 10px 0 13px;
        column-gap: 20px;

        li {
            font-size: 14px;
            color: map.get($theme-colors, 'normal-text');
            display: flex;
            align-items: center;
            column-gap: 2px;
        }

        li:first-child {
            position: relative;

            &:after {
                position: absolute;
                right: -10px;
                top: 1px;
                height: 20px;
                width: 1px;
                background:#000000;
                opacity: 0.1;
                content: "";

            }
        }

    }
    
}

.header__top_right {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: 10px 0 13px;

    ul {
        display: flex;
        column-gap: 5px;
        list-style: none;

        a {
            font-size: 14px;
            display: inline-block;
            color: map.get($theme-colors, 'normal-text');
            text-decoration: none;
        }
        li:last-child {
            cursor: pointer;
            margin-left: 10px;
           
            span {
                font-size: 14px;
                margin-left: 2px;
                
            }
        }
    }
}

.header__logo {
    padding: 15px 0;
}
.header__menu {
    padding: 24px 0;

    ul {
        display: flex;
        justify-content: space-between;

        li {
            list-style: none;
            position: relative;

            a {
                text-decoration: none;
                font-size: 14px;
                color: map.get($theme-colors, 'bold-text');
                text-transform: uppercase;
                font-weight: bold;
                letter-spacing: 2px;
                transition: all, 0.3s;
                padding: 5px 0;
                display: block;
            }
        }
        li:hover .header__menu__dropdown {
            opacity: 1;
            visibility: visible;
        }

        .active a {
            color: map.get($theme-colors, 'main');
        }

        .header__menu__dropdown {
            background: #222222;
            display: block;
            position: absolute;
            width: 180px;
            z-index: 9;
            padding: 5px 0;
            transition: all, 0.3s;
            opacity: 0;
            visibility: hidden;

            li {
                a {
                    text-transform: capitalize;
                    color: white;
                    font-weight: 500;
                    padding: 5px 15px;
                }
                :hover {
                    color: map.get($theme-colors, 'main');
                }
            }
        }
    }
}

.header__cart {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 24px 0;

    ul {
        display: flex;
        margin-right: 25px;

        li {
            list-style: none;
            position: relative;
            margin-left: 20px;

            svg {
                font-size: 25px;
                color: map.get($theme-colors, 'normal-text');
            }
            span {
                color: white;
                background: map.get($theme-colors, 'main');
                position: absolute;
                height: 20px;
                width: 20px;
                border-radius: 50%;
                display: inline-block;
                text-align: center;
                line-height: 20px;
                font-size: 12px;
                font-weight: 600;
                left: 16px;
                top: -6px;
            }
        }
    }
}